Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.platform
Interface AblePlatformService

All Superinterfaces:
  AblePlatformServiceEventGenerator

All Known Subinterfaces:
  AgentLifeCycleService, AgentLoggingService, PlatformPersistenceService, PlatformSupportService, VerifiableAgentDirectoryService, VerifiableAgentNamingService

All Known Implementing Classes:
  RmiAgentLifeCycleServiceProxy, RmiAgentLoggingServiceProxy, RmiPlatformPersistenceServiceProxy, RmiPlatformSupportServiceProxy, RMIVerifiableDirectoryProxy, RMIVerifiableNamingProxy

public interface AblePlatformService
extends AblePlatformServiceEventGenerator

This interface is implemented by platform services provided by ABLE.

See Also:
  `RmiAblePlatformService`

Method Summary
`int` | `getState()` Returns the state of this service.
`void` | `terminateService(AbleSecureKey theSecureKey)` Terminates this service in a controlled way; the service is removed from the service root and, if necessary, unbound from the RMI registry and unexported as a remote RMI object.

Methods inherited from interface com.ibm.able.platform.AblePlatformServiceEventGenerator
`addAblePlatformServiceEventListener, getAblePlatformServiceEventListeners, removeAblePlatformServiceEventListener`

Method Detail

### terminateService

    public void terminateService(AbleSecureKey theSecureKey)
                          throws AbleException,
                                 javax.agent.service.naming.NamingException

  Terminates this service in a controlled way; the service is removed from the service root and, if necessary, unbound from the RMI registry and unexported as a remote RMI object.

  Parameters:
    `theSecureKey` - When security if off, this may be null as the parameter is ignored; when security is on the security key must be from an object with equal or greater authority in order for the operation to proceed.

  Throws:
    `AbleException` - On any remote error or Able error.
    `javax.agent.service.naming.NamingException` - On any naming error.

### getState

    public int getState()
                 throws AbleException

  Returns the state of this service.

  Returns:
    The state of this service.
  Throws:
    `AbleException` - On any remote error or Able error.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005